petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoLineSearchSetFromOptions

Sets various TaoLineSearch parameters from user options.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetFromOptions(TaoLineSearch ls)

Collective on TaoLineSearch

### Input Paremeter

ls - the TaoLineSearch context

### Options Database Keys

| -tao_ls_type <type> | - The algorithm that TAO uses (more-thuente, gpcg, unit)
| -tao_ls_ftol <tol> | - tolerance for sufficient decrease
| -tao_ls_gtol <tol> | - tolerance for curvature condition
| -tao_ls_rtol <tol> | - relative tolerance for acceptable step
| -tao_ls_stepmin <step> | - minimum steplength allowed
| -tao_ls_stepmax <step> | - maximum steplength allowed
| -tao_ls_max_funcs <n> | - maximum number of function evaluations allowed
| -tao_ls_view | - display line-search results to standard output

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages